 @prefix : <https://kupferdigital.gitlab.io/process-graphs/workshop-example/index.ttl/> .
@prefix dc: <http://purl.org/dc/elements/1.1/> .
@prefix iof: <https://spec.industrialontologies.org/ontology/core/Core/> .
@prefix mseo: <https://purl.matolab.org/mseo/mid/> .
@prefix obo: <http://purl.obolibrary.org/obo/> .
@prefix owl: <http://www.w3.org/2002/07/owl#> .
@prefix rdfs: <http://www.w3.org/2000/01/rdf-schema#> .

obo:BFO_0000117 a owl:ObjectProperty ;
    rdfs:label "b f o_0000117" ;
    rdfs:range iof:MeasurementProcess .

obo:BFO_0000166 a owl:ObjectProperty ;
    rdfs:label "b f o_0000166" ;
    rdfs:domain iof:MeasurementProcess .

obo:BFO_0000176 a owl:ObjectProperty ;
    rdfs:label "b f o_0000176" .

obo:BFO_0000199 a owl:ObjectProperty ;
    rdfs:label "b f o_0000199" ;
    rdfs:domain iof:MeasurementProcess .

: a owl:Ontology ;
    dc:creator "Thomas Hanke" ;
    dc:description "Ontology code created by Chowlk" ;
    dc:title "my_method_long_name" ;
    owl:versionInfo "0.0.1" .

:ExperimentTimeInterval a obo:BFO_0000008,
        owl:NamedIndividual .

:MySpecimen a owl:NamedIndividual,
        mseo:Specimen ;
    iof:designatedBy :SpecimenID ;
    iof:hasQuality :MySpecimenLength ;
    iof:isInputOf :LengthMeasurementProcess .

:Operator a owl:NamedIndividual,
        iof:Agent ;
    iof:designatedBy :OperatorID .

:Project a owl:NamedIndividual,
        iof:PlannedProcess ;
    iof:designatedBy :ProjectID .

:TestPlan a owl:NamedIndividual,
        iof:PlanSpecification ;
    iof:designatedBy :TestPlanName .

iof:MeasurementCapaility a owl:Class ;
    rdfs:label "Measurement Capaility" .

iof:designatedBy a owl:ObjectProperty ;
    rdfs:label "designated by" .

iof:hasCapability a owl:ObjectProperty ;
    rdfs:label "has capability" .

iof:hasMeasuredValueAtSomeTime a owl:ObjectProperty ;
    rdfs:label "has measured value at some time" .

iof:hasQuality a owl:ObjectProperty ;
    rdfs:label "has quality" .

iof:isInputOf a owl:ObjectProperty ;
    rdfs:label "is input of" .

iof:isOutput a owl:ObjectProperty ;
    rdfs:label "is output" .

iof:measuredByAtSomeTime a owl:ObjectProperty ;
    rdfs:label "measured by at some time" .

iof:prescribedBy a owl:ObjectProperty ;
    rdfs:label "prescribed by" ;
    rdfs:domain iof:MeasurementProcess .

obo:BFO_0000008 a owl:Class ;
    rdfs:label "B F O_0000008" .

obo:BFO_0000019 a owl:Class ;
    rdfs:label "B F O_0000019" .

:Caliper a owl:NamedIndividual,
        mseo:MeasurementDevice ;
    iof:designatedBy :CaliperID ;
    iof:hasCapability :DistanceMeasurementCapability .

:CaliperID a owl:NamedIndividual,
        iof:DesignativeInformationContentEntity .

:DistanceMeasurementCapability a owl:NamedIndividual,
        iof:DesignativeInformationContentEntity .

:LengthMeasurement a owl:NamedIndividual,
        iof:ValueExpression ;
    obo:BFO_0000176 :Measurements ;
    iof:measuredByAtSomeTime :Caliper .

:LengthMeasurementProcess a owl:NamedIndividual,
        iof:MeasurementProcess ;
    iof:isOutput :Measurements .

:MySpecimenLength a obo:BFO_0000019,
        owl:NamedIndividual ;
    iof:hasMeasuredValueAtSomeTime :LengthMeasurement .

:OperatorID a owl:NamedIndividual,
        iof:DesignativeInformationContentEntity .

:ProjectID a owl:NamedIndividual,
        iof:Identifier .

:SpecimenID a owl:NamedIndividual,
        iof:DesignativeInformationContentEntity .

:TestPlanName a owl:NamedIndividual,
        iof:DesignativeInformationContentEntity .

mseo:MeasurementDevice a owl:Class ;
    rdfs:label "Measurement Device" .

mseo:Specimen a owl:Class ;
    rdfs:label "Specimen" .

iof:Agent a owl:Class ;
    rdfs:label "Agent" .

iof:Identifier a owl:Class ;
    rdfs:label "Identifier" .

iof:MeasurementInformationContentEntity a owl:Class ;
    rdfs:label "Measurement Information Content Entity" .

iof:PlanSpecification a owl:Class ;
    rdfs:label "Plan Specification" .

iof:PlannedProcess a owl:Class ;
    rdfs:label "Planned Process" .

iof:ValueExpression a owl:Class ;
    rdfs:label "Value Expression" .

:Measurements a owl:NamedIndividual,
        iof:MeasurementInformationContentEntity .

iof:DesignativeInformationContentEntity a owl:Class ;
    rdfs:label "Designative Information Content Entity" .

iof:MeasurementProcess a owl:Class ;
    rdfs:label "Measurement Process" .

